﻿using AngularJSApp.Models;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AngularJSApp.Controllers
{
    public class ProductsController : Controller
    {
        // GET: Products
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult addProducts(Products obj)
        {
            try
            {
                SqlConnection con = new SqlConnection(ConfigurationManager.AppSettings["connectionString"].ToString());
                SqlCommand cmd = new SqlCommand("AddProducts",con);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.Parameters.AddWithValue("@ProductName", obj.ProductName);
                cmd.Parameters.AddWithValue("@Category", obj.Category);
                cmd.Parameters.AddWithValue("@Price", obj.Price);
                con.Open();
                cmd.ExecuteNonQuery();
                cmd.Dispose();
                con.Close();
                return Json(new { data = "success" }, JsonRequestBehavior.AllowGet);
            }
            catch(Exception ex)
            {
                return Json(new { data = "Error:" + ex.Message.ToString() }, JsonRequestBehavior.AllowGet);
            }
        }


        [HttpGet]
        public ActionResult getDateTime()
        {
             return Json(new { data = "System DateTime : "+ DateTime.Now.ToString("dd-MMM-yyyy hh:mm:ss tt") }, JsonRequestBehavior.AllowGet);
        }
    }
}